## doc-linux 96.12

=== debian/changelog ===
doc-linux (96.12-1) frozen unstable; urgency=low

  * HOWTOs that are new or updated since the last release in November:
    AX25 Commercial Consultants Distribution HOWTO-INDEX Installation
  
  * mini-HOWTOs that are new or updated since the last release in November:
    Dynamic-IP-Hacks JE Kerneld SLIP+proxyARP

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 9 Dec 1996 21:40:12 -0500

doc-linux (96.11-1) unstable; urgency=low

  * HOWTOs that are new or updated since the last release in October:
    Busmouse Commercial Consultants Distribution Ethernet Firewall 
    HAM HOWTO-INDEX INDEX INDEX.html INFO-SHEET IPX Installation 
    Module PCMCIA README Slovenian Sound-Playing Tips WWW XFree86

  * mini-HOWTOs that are new or updated since the last release in October:
    3-Button-Mouse AI-Alife BogoMips CD-Writer Dynamic-IP-Hacks
    HTTP+Netware INDEX INDEX.html IP-Alias MIDI+SB Mail2News 
    Netscape+Proxy README SLIP+proxyARP Sendmail+UUCP 
    Virtual-wu-ftpd Xterm-Title
	
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Nov 1996 17:16:10 -0500

doc-linux (96.10-1) unstable; urgency=low

  * HOWTOs that are new or updated since the last release in September:
    CDROM Commercial Consultants Ftape HAM HOWTO-INDEX INDEX
    Printing Printing-Usage SCSI Sound 

  * mini-HOWTOs that are new or updated since the last release in September:
    Consoles-Many Diskless Dynamic-IP-Hacks INDEX IO-Port-Programming
    Java-WorkShop Linux+DOS+Win95 Linux+DOS+Win95+OS2 Linux+WinNT
    PLIP Pager Partition Remote-Boot X-Big-Cursor Xterm-Title 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 7 Oct 1996 09:18:11 -0400

doc-linux (96.09-1) unstable; urgency=low

  * HOWTOs that are New or updated since the August release:
    Bootdisk Commercial Emacspeak HOWTO-INDEX INDEX Italian PCMCIA
    PPP SMB Spanish Tips
  
  * mini-HOWTOs that are New or updated since the August release:
    BogoMips Bridge Dynamic-IP-Hacks INDEX IP-Alias IP-Masquerade
    Java-WorkShop Jaz-Drive Multiple-Disks-Layout Win95+Win+Linux 

  * Converted package management files to new Debian-1.2 style
  * Changed maintainer email address to <edd@debian.org>

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 5 Sep 1996 11:58:11 -0400

Tue Aug  6 16:49:00 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.08-0 release

	* HOWTOs that are New or updated since the July release:
	  Access Commercial DNS ELF HOWTO-INDEX INDEX INFO-SHEET Kernel
	  META-FAQ PCI PPP Printing
	
	* mini-HOWTOs that are New or updated since the July release:
	  Dynamic-IP-Hacks INDEX IP-Masquerade Large-Disk 
	  Process-Accounting Quota Visual-Bell XFree86-XInside 
	
Fri Jul 12 07:30:56 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.07-0 release

	* HOWTOs that are New or updated since the June release:
	  AX25 Access Bootdisk CDROM Commercial Cyrillic Danish
	  Distribution Ftape HOWTO-INDEX INDEX IPX Java MGR Module
	  PCMCIA Polish Printing Shadow-Password Sound Tips
	
	* mini-HOWTOs that are New or updated since the June release:
	  3-Button-Mouse Assembly BogoMips Diald Diskless
	  Dynamic-IP-Hacks INDEX IP-Alias IP-Masquerade Kerneld
	  Linux+OS2+DOS Linux+Win95 Locales Multiple-Disks-Layout
	  Print2Win Term-Firewall Upgrade
	
Sat Jun  8 09:41:55 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.06-0 release

	* HOWTOs that are New or updated since the May release:
	  Access, Danish, Distribution, Ftape, HOWTO-INDEX, INDEX,
	  INFO-SHEET, IPX, Italian, Java, META-FAQ, MGR, Polish,
	  SCSI-Programming, Shadow-Password, Sound-Playing, Tips

	* mini-HOWTOs that are New or updated since the May release:
	  3-Button-Mouse, Assembly, DOS2Linux, Diskless, 
	  Dynamic-IP-Hacks, Graphics-Tools, INDEX, Kerneld, 
	  Linux+OS2+DOS, Locales, Online-Support, Term-Firewall,
	  Upgrade, XFree86-XInside

Sat May 11 13:35:59 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.05-0 release

	* new or updated HOWTOs: AX25 Access HAM HOWTO-INDEX INDEX 
	  INFO-SHEET IPX ISP-Hookup Italian META-FAQ NET-2 SCSI
          Shadow-Password
	
	* new or update mini-HOWTOs: Colour-ls INDEX Graphics Man-Page
	  PPP-over-ISDN ZIP-Drive

Wed Apr 10 16:18:19 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.04-0 release

	* debian.control: added Architecture: field 
	
	* new or updated HOWTOs: Access, DNS, Danish, Ftape, German, 
	  Index, PCI, PPP, Printing, Tips
	  
	* new or update mini-HOWTOs: Consoles-Many, Gravis-Ultrasound,
	  HTTP+Netware, Index, LF1000, Locales, Multiple-Disks-Layout,
	  NFS-Root

Wed Mar  6 17:17:44 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.03-0 release

	* new Linux FAQ
	
	* new or updated HOWTOs: CDROM, Distribution, Finnish, Ftape,
	  GCC, Index, INFO-SHEET, Java, Kernel, META-FAQ, Printing, Sound, 
	  Sound-Playing

	* new or update mini-HOWTOs: Backup_With_MSDOS, HTTP+Netware, 
	  Kerneld, LF1000, Linux+OS2+DOS, Modeline, Multiple_Disks, 
	  Reading_List
	
Wed Feb  7 15:11:09 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.02-0 release

	* new or updated HOWTOs: PCMCIA-HOWTO README IPX-HOWTO NET-2-HOWTO
	  Shadow-Password-HOWTO UMSDOS-HOWTO Distribution-HOWTO SCSI-HOWTO
	  Ftape-HOWTO Italian-HOWTO INDEX HOWTO-INDEX 

	* new or updated mini-HOWTOs: ADSM-Backup Tiny-News Colour-ls PLIP
	  DOS2Linux Win95+Win+Linux INDEX 

Wed Jan  3 08:01:16 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-96.01-0 release

	* new or updated HOWTOs: Distribution-HOWTO, IPX-HOWTO, Java-HOWTO

	* new or updated mini-HOWTOs: Linux+Win95, ADSM-Backup, BogoMips,
	  IO-Port-Programming, TIA

Mon Dec  4 21:11:25 1995  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* doc-linux-95.12-0 release

	* new or updated HOWTOs: SCSI-HOWTO Keyboard-HOWTO UMSDOS-HOWTO
	Hardware-HOWTO PCI-HOWTO Ethernet-HOWTO Ftape-HOWTO NET-2-HOWTO
	HAM-HOWTO HOWTO-INDEX

	* new or updated mini-HOWTOs: IO-Port-Programming Virtual-Web

