=== debian/control ===
Source: doc-linux
Section: doc
Priority: important
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 2.1.0.0  

Package: doc-linux
Architecture: all
Recommends: info-browser
Conflicts: doc
Description: Linux FAQ, HOWTOs and mini-HOWTOs.
 The doc-linux package installs the current Linux-FAQ (in postscript,
 ascii and GNU info form) as well as all the ascii versions of current
 Linux HOWTO and mini-HOWTO documents on your Debian system.  The
 version number reflects the month in which doc-linux was created.
 .
 All files are available at ftp://sunsite.unc.edu/pub/Linux/docs/HOWTO
 and ftp://sunsite.unc.edu/pub/Linux/docs/faqs/linux-faq and mirrors
 thereof.  Versions in html, dvi and postscript formats of most of the
 HOWTOs are also available.  They are therefore not included in the
 Debian source file and no diff file is provided.
