## doc-linux 97.03-1

=== debian/changelog ===
doc-linux (97.03-1) unstable; urgency=low

  * HOWTOs that are new or updated since the last release in February:
    Assembly Commercial Consultants HOWTO-INDEX INDEX Italian NET-3 
  
  * mini-HOWTOs that are new or updated since the last release in February:
    Advocacy Dynamic-IP-Hacks Ext2fs-Undeletion INDEX IP-Masquerade 
    Linux+WinNT NFS-Root Public-Web-Browser
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 3 Mar 1997 20:32:36 -0500

doc-linux (97.02-1) unstable; urgency=low

  * Changed Priority: to standard to be in sync with override files

  * HOWTOs that are new or updated since the last release in January:
    Assembly CDROM Commercial Consultants Distribution Emacspeak 
    Ethernet German HOWTO-INDEX INDEX INFO-SHEET Installation Italian 
    NIS Polish Sound Tips XFree86 
    
  * mini-HOWTOs that are new or updated since the last release in January:
    ADSM-Backup AI-Alife Advocacy Bridge+Firewall CD-Writing
    Dynamic-IP-Hacks Ext2fs-Undeletion INDEX IP-Alias Jaz-Drive NFS-Root
    Partition Soundblaster-16 Virtual-wu-ftpd

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Feb 1997 21:06:40 -0500

doc-linux (97.01-2) stable unstable; urgency=low

  * Changed invalid distribution field "frozen" to "stable" in changelog

  * Do not install invalid upstream files INDEX.html and mini/INDEX.html
    as they do not work with the gzip'ed documents, and there is no point
    in patching the html as the most popular webbrowser cannot cope with 
    compressed documents anyway (fixes bug #6413)

  * HOWTOs that are new or updated since the last release in December:
    AX25 BootPrompt Commercial Consultants DOStoLinux Distribution 
    HOWTO-INDEX INDEX INFO-SHEET ISP-Hookup Installation Java-CGI 
    META-FAQ PCMCIA Serial XFree86

  * mini-HOWTOs that are new or updated since the last release in December:
    Advocacy BogoMips Bridge+Firewall CD-Writer Clock DHCP
    Dynamic-IP-Hacks GTEK-BBS-550 INDEX Linux+WinNT++ Locales 
    Multiple-Disks-Layout NFS-Root NFS-Root-Client PPP-over-minicom 
    ZIP-Install 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 6 Jan 1997 22:42:13 -0500

doc-linux (97.01-1) frozen unstable; urgency=low

  * HOWTOs that are new or updated since the last release in December:
    BootPrompt Commercial Consultants Distribution HOWTO-INDEX INDEX 
    ISP-Hookup Installation Java-CGI

  * mini-HOWTOs that are new or updated since the last release in December:
    Advocacy Bridge+Firewall CD-Writer DHCP GTEK-BBS-550 INDEX Locales
    NFS-Root NFS-Root-Client ZIP-Install
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 3 Jan 1997 21:50:25 -0500
