=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: doc-linux
 Section: doc
-Priority: important
+Priority: standard
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 2.1.0.0
