=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,8 @@
 docdir=debian/tmp/usr/doc/$(package)
 debtmp=debian/tmp
 # these two are necessarily local to my machine  --edd
-#  faqloc=/mirror/sunsite/faqs/linux-faq
-#  howloc=/mirror/sunsite/HOWTO
-# this time, I simply untar the howto and mini-howto tar.gz files from the
-# LDP; and copy the FAQ from the last release as it rarely changes anyhow as
-# Ian J. is so busy
-faqloc=/usr/doc/FAQ
-howloc=/home/edd
+faqloc=/mirror/sunsite/faqs/linux-faq
+howloc=/mirror/sunsite/HOWTO
 
 build:
 	$(checkdir)
@@ -49,17 +44,10 @@
 	install -c -m 0644 $(faqloc)/linux-faq.ps.gz $(debtmp)/usr/doc/FAQ
 	install -c -m 0644 $(faqloc)/linux-faq.README $(debtmp)/usr/doc/FAQ
 	install -d -m 0755 $(debtmp)/usr/info
-	# install -c -m 0644 $(faqloc)/linux-faq.info.gz $(debtmp)/usr/info
-	install -c -m 0644 /usr/info/linux-faq.info.gz $(debtmp)/usr/info
+	install -c -m 0644 $(faqloc)/linux-faq.info.gz $(debtmp)/usr/info
 	install -d -m 0755 $(debtmp)/usr/doc/HOWTO
-	# (cd $(howloc); tar cf - *) | (cd $(debtmp)/usr/doc/HOWTO; tar xvf -) 
-	(cd $(debtmp)/usr/doc/HOWTO; tar xvfz $(howloc)/Linux-HOWTOs.tar.gz) 
 	install -d -m 0755 $(debtmp)/usr/doc/HOWTO/mini
-	(cd $(debtmp)/usr/doc/HOWTO/mini; \
-	   tar xvfz $(howloc)/Linux-mini-HOWTOs.tar.gz) 
-	(cd $(debtmp)/usr/doc/HOWTO; \
-	   find . -type f ! -name COPYRIGHT ! -name INDEX\* ! -name README | \
-	   xargs gzip -9v)
+	(cd $(howloc); tar cf - *) | (cd $(debtmp)/usr/doc/HOWTO; tar xvf -) 
 	install -c -m 0644 debian/changelog $(docdir)/.
 	gzip -9v $(docdir)/*  
 	install -c -m 0644 debian/README.debian $(docdir)/.
