=== debian/control ===
Source: doc-linux
Section: doc
Priority: standard
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 2.4.0.0  

Package: doc-linux
Architecture: all
Recommends: info-browser
Suggests: doc-linux-html | doc-linux-text
Conflicts: doc
Description: Linux FAQ 
 The doc-linux package installs the current Linux-FAQ (in postscript,
 ascii and html) on your Debian system. Linux HOWTOs and mini-HOWTOs 
 are provided in html format by the doc-linux-html package, and in 
 plain text by the doc-linux-text package.
 .
 The version number reflects the month in which doc-linux was created.
 .
 All files are available at ftp://sunsite.unc.edu/pub/Linux/docs/HOWTO
 and ftp://sunsite.unc.edu/pub/Linux/docs/faqs/linux-faq and mirrors
 thereof.  Versions in html, dvi and postscript formats of most of the
 HOWTOs are also available.  They are therefore not included in the
 Debian source file and no diff file is provided.

Package: doc-linux-html
Architecture: all
Recommends: www-browser
Suggests: doc-linux
Conflicts: doc
Description: Linux HOWTOs and mini-HOWTOs in html format
 The doc-linux-html complements the doc-linux package by providing the 
 current Linux HOWTOs and mini-HOWTOs in html format. Alternatively, plain 
 text versions are provided in the doc-linux-text package.
 .
 The version number reflects the month in which doc-linux was created. 

Package: doc-linux-text
Architecture: all
Suggests: doc-linux
Replaces: doc-linux
Conflicts: doc
Description: Linux HOWTOs and mini-HOWTOs in plain text format
 The doc-linux-text complements the doc-linux package by providing the 
 current Linux HOWTOs and mini-HOWTOs in plain text format. Alternatively, 
 html versions are provided in the doc-linux-html package.
 .
 The version number reflects  the month in which doc-linux was created.
