## doc-linux 2000.03-1

=== debian/changelog ===
doc-linux (2000.03-1) unstable frozen; urgency=low

  * new HOWTOs

 -- Marco Budde <budde@debian.org>  Tue, 21 Mar 2000 10:17:24 +0100
	

doc-linux (2000.02-1) unstable; urgency=low

  * new HOWTOs

 -- Marco Budde <budde@debian.org>  Thu,  3 Feb 2000 20:16:17 +0100

doc-linux (1999.10-1) unstable; urgency=low

  * new HOWTOs
  * rules: FHS links
  * new /usr/share/doc/{en-html,en-txt} structure
	
 -- Marco Budde <budde@debian.org>  Fri, 15 Oct 1999 21:34:15 +0200

doc-linux-html (1999.08-1) unstable; urgency=low

  * use SGML sources to build the HTML files
  * new HOWTOs

 -- Marco Budde <budde@debian.org>  Sat, 24 Jul 1999 03:41:04 +0200

doc-linux-html (99.06-1) unstable; urgency=low

  * non-maintainer release by the previous maintainer 

  * debian/changelog: Reinstalled the changelog entry for my 1999.03-1
    revision which has disappeared from the last maintainer upload

  * HOWTOs that are new or updated since the last release on April 22:
    BootPrompt Bootdisk CD-Writing CDROM Consultants DOSEMU Diskless
    Ethernet HOWTO-INDEX Hardware INDEX.gz INDEX.html.gz Modem Multi-Disk
    PCMCIA Plug-and-Play Portuguese Reading-List Security Serial
    Software-Building Sound Text-Terminal XFree86 
  
  * mini-HOWTOs that are new or updated since the last release on April 22:
    Automount ADSL Cipe+Masq Alsa-sound Large-Disk Cable-Modem
    Ext2fs-Undeletion DPT-Hardware-RAID INDEX INDEX.html Ultra-DMA 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  9 Jun 1999 19:23:05 -0400

doc-linux-html (99.03-1) unstable; urgency=low

  * non-maintainer release by the previous maintainer 
  * the current maintainer has made no release in seven months: there are
    now 47 new or updated HOWTOs documents and 28 new or updated mini-HOWTOs

  * HOWTOs that are new or updated since the last release on August 23:
    3Dfx Bash-Prompt Beowulf Bootdisk Busmouse Commercial Config
    Consultants DNS Danish Distribution Esperanto Ftape INDEX INFO-SHEET
    IPCHAINS IPX IR ISP-Hookup Installation Italian Java-CGI KickStart
    Mail Modem NET-3 Optical-Disk Oracle PCMCIA PalmOS Plug-and-Play
    Polish Portuguese PostgreSQL Printing Quake Reading-List
    Software-Release-Practice TeTeX Text-Terminal Tips UUCP
    Unix-Internet-Fundamentals VAR VME Virtual-Services XFree86
    XFree86-Video-Timings XWindow-User HOWTO-INDEX 

  * mini-HOWTOs that are new or updated since the last release on August 23
    AI-Alife Apache+SSL+PHP+fp Automount BogoMips Bridge Cable-Modem
    Cipe+Masq DHCP Firewall-Piercing INDEX INDEX.html IP-Masquerade LILO
    Linux+FreeBSD Loadlin+Win95 NFS-Root-Client Netrom-Node Netstation
    PLIP Quota RedHat-CD Remote-X-Apps Secure-POP+SSH Sendmail+UUCP
    Sendmail-Address-Rewrite Software-RAID VAIO+Linux ZIP-Drive 

  * debian/control: changed sunsite.unc.edu to metalab.unc.edu

  * debian/rules: added perl script make-howtoindex again to create a html 
    index of the documents

  * debian/rules: also install a doc-base file pointing to this index, as
    well as a postinst/prerm to call install-docs

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Mar 1999 19:01:53 -0500
	

doc-linux-html (98.09-1) unstable; urgency=low
	
  * new HOWTOs
  * HTML version of the Linux FAQ
  * Replaces: doc-linux

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 28 Aug 1998 22:38:32 +0200

doc-linux-html (98.06-1) unstable; urgency=low

  * new HOWTOs
  * Conflicts: doc-linux-text (bug #22761, #22777)
  * debian/sgml2dhelp: abstract parser changed

 -- Marco Budde <Budde@tu-harburg.de>  Tue, 9 Jun 1998 21:12:30 +0200

doc-linux-html (98.04-1) unstable; urgency=low

  * new maintainer
  * new source tree
  * dhelp support (sgml2dhelp script)

 -- Marco Budde <Budde@tu-harburg.de>  Tue, 7 Apr 1998 14:03:21 +0100
