=== debian/control ===
Source: doc-linux
Section: doc
Priority: standard
Maintainer: Marco Budde <budde@debian.org>
Standards-Version: 3.1.0.0

Package: doc-linux-html
Architecture: all
Conflicts: doc, dhelp (<< 0.3.14), doc-linux-text (<< 98.06-1), doc-linux
Replaces: doc-linux
Description: Linux HOWTOs, mini-HOWTOs, and FAQs in HTML format
 The doc-linux-html package provides the current Linux HOWTOs, mini-HOWTOs,
 and FAQs in HTML format. Alternatively, ASCII versions are provided
 in the doc-linux-text package.
 .
 The version number reflects the month in which doc-linux-html was created. 
 .
 All files are available at http://metalab.unc.edu/LDP/ (with versions
 in ASCII, DVI, HTML, postscript, and SGML)

Package: doc-linux-text
Architecture: all
Conflicts: doc, doc-linux-html (<< 98.06-1), doc-linux
Replaces: doc-linux
Description: Linux HOWTOs, mini-HOWTOs, and FAQs in ASCII format
 The doc-linux-text package provides the current Linux HOWTOs, mini-HOWTOs,
 and FAQs in ASCII format. Alternatively, HTML versions are provided
 in the doc-linux-html package.
 .
 The version number reflects the month in which doc-linux-text was created. 
 .
 All files are available at http://metalab.unc.edu/LDP/ (with versions
 in ASCII, DVI, HTML, postscript, and SGML)
